summaryrefslogtreecommitdiffstats
path: root/run/update-from-devel.sh
diff options
context:
space:
mode:
Diffstat (limited to 'run/update-from-devel.sh')
-rw-r--r--run/update-from-devel.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/run/update-from-devel.sh b/run/update-from-devel.sh
new file mode 100644
index 0000000..19aee6b
--- /dev/null
+++ b/run/update-from-devel.sh
@@ -0,0 +1,12 @@
+#! /bin/bash
+
+set -o errexit
+
+if [ ! -d ../repos ]; then
+ buildah unshare bash ../build/extract.sh
+fi
+
+podman run --name "ccpi-devel" -it --hooks-dir /usr/share/containers/oci/hooks.d/ -v ~/ccpi/data:/ccpi/data -v ~/ccpi/repos:/ccpi/repos localhost/ccpi bash /root/setup/provision.sh
+podman container cp ../repos/ ccpi-devel:/ccpi/
+podman container commit ccpi-devel ccpi:devel
+podman rm ccpi-devel